Let Wayland-backend use Presentation extension
Closed, ResolvedPublic

Description

Weston's Wayland-backend currently relies on the timestamp delivered by the frame callback event for timings. However, you don't know what clock that timestamp is from, it has been truncated into milliseconds, and because it is of type uint32_t, it may have also overflown in the parent compositor.

If the Presentation feedback extension is available from the parent compositor, use it to get proper timestamps. The Wayland backend's presentation clock should be the same as the parent compositor's. Presentation_feedback.presented should be the one triggering weston_output_finish_frame().

A whole another issue is what to do with discarded frames.

pq created this task.Apr 2 2015, 1:05 PM
pq updated the task description. (Show Details)
pq raised the priority of this task from to Needs Triage.
pq added a project: Weston.
pq updated the task description. (Show Details)
pq added a subscriber: pq.
daniels added a subscriber: daniels.Sep 2 2015, 6:03 PM
pq triaged this task as Enhancement priority.Oct 12 2015, 10:24 AM

GitLab Migration Automatic Message

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/wayland/weston/issues/6.

daniels closed this task as Closed.Jun 5 2018, 7:20 PM
daniels claimed this task.